project/urls.py
from django.conf.urls import include, url
from django.conf import settings
from django.contrib import admin
from quality_control.admin import admin_site
admin.autodiscover()

urlpatterns = [
                   url(r'^admin/', include(admin.site.urls)),
                   url(r'^admin2/', include(admin_site.urls)),
                   url(r'^', include('videoclases.urls')),
                   url(r'^api/', include('quality_control.urls')),
            ]

if settings.DEBUG:
    import debug_toolbar
    urlpatterns = [
        url(r'^__debug__/', include(debug_toolbar.urls)),
    ] + urlpatterns

videoclases/urls.py
from django.contrib import admin
from django.conf.urls import url

import videoclases.views.views as vv
import videoclases.views.pegadogical_questions as pq

admin.autodiscover()

urlpatterns = [
    url(r'^$', vv.IndexView.as_view(), name='index'),

    url(r'^student/evaluate-conceptual-test-form/(?P<pk>\d+)/$',
        pq.ResponsePedagogicalQuestion.as_view(),
        name='evaluate_pedagogical_questions'),

    url(r'^student/send-videoclase/(?P<homework_id>\d+)/$',
        vv.EnviarVideoclaseView.as_view(),
        name='enviar_videoclase'),
    url(r'^student/evaluar-video/$',
        vv.EvaluacionesDeAlumnosFormView.as_view(),
        name='evaluar_video'),
    url(r'^student/evaluar-videoclase/(?P<homework_id>\d+)/$',
        vv.EvaluarVideoclaseView.as_view(),
        name='evaluar_videoclase'),
    url(r'^student/evaluar-videoclase-form/$',
        vv.EvaluarVideoclaseFormView.as_view(),
        name='evaluar_videoclase_form'),
    url(r'^student/ver-videoclase/(?P<homework_id>\d+)/$',
        vv.VerVideoclaseView.as_view(),
        name='ver_videoclase'),
    url(r'^student/',
        vv.AlumnoView.as_view(),
        name='student'),
    url(r'^cambiar-contrasena/',
        vv.ChangePasswordView.as_view(),
        name='change_password'),
    url(r'^cambiar-contrasena-student/(?P<course_id>\d+)/$',
        vv.ChangeStudentPasswordView.as_view(),
        name='change_student_password'),
    url(r'^cambiar-contrasena-student/',
        vv.ChangeStudentPasswordSelectCursoView.as_view(),
        name='change_student_password_select_course'),
    url(r'^login/',
        vv.IndexView.as_view(),
        name='login'),
    url(r'^logout/',
        vv.logout_view,
        name='logout'),
    url(r'^perfil/',
        vv.PerfilView.as_view(),
        name='perfil'),
    url(r'^teacher/students/(?P<student_id>\d+)/$',
        vv.VideoclasesAlumnoView.as_view(),
        name='videoclases_student'),
    url(r'^teacher/asignar-group-form/',
        vv.AsignarGrupoFormView.as_view(),
        name='asignar_group_form'),
    url(r'^teacher/borrar-student/(?P<course_id>\d+)/(?P<student_id>\d+)/$',
        vv.BorrarAlumnoView.as_view(),
        name='borrar_student'),
    url(r'^teacher/borrar-course/(?P<course_id>\d+)/$',
        vv.BorrarCursoFormView.as_view(),
        name='borrar_course'),
    url(r'^teacher/borrar-homework/',
        vv.BorrarTareaFormView.as_view(),
        name='borrar_homework'),
    url(r'^teacher/new-course/',
        vv.CrearCursoFormView.as_view(),
        name='crear_course'),
    url(r'^teacher/new-homework/',
        vv.CrearTareaView.as_view(),
        name='crear_homework'),
    url(r'^teacher/new-homework-form/',
        vv.CrearTareaFormView.as_view(),
        name='crear_homework_form'),

    url(r'^teacher/new-conceptual-test/create/$',
        pq.ConceptualTestsView.as_view(),
        name='new_conceptual_test_create'),
    url(r'^teacher/new-conceptual-test/$',
        pq.PedagogicalQuestionCreateView.as_view(),
        name='new_conceptual_test'),
    url(r'^teacher/new-test-conceptual-form/',
        pq.ConceptualTestsFormView.as_view(),
        name='new_conceptual_test_form'),
    url(r'^teacher/download-homeworks/(?P<course_id>\d+)/$',
        pq.download_homeworks,
        name='download_homeworks'),
    url(r'^teacher/download-pedagogical-questions/(?P<pk>\d+)/$',
        pq.DownloadPedagogicalQuestionAsExcel.as_view(),
        name='download_pedagogical_questions'),
    url(r'^teacher/download-pedagogical-questions-answers/(?P<pk>\d+)/$',
        pq.DownloadPedagogicalQuestionAnswersAsExcel.as_view(),
        name='download_pedagogical_questions_answers'),
    url(r'^teacher/pedagogical-questions/(?P<pk>\d+)/$',
        pq.PedagogicalQuestionEditView.as_view(),
        name='pedagogical_questions'),


    url(r'^teacher/course/(?P<course_id>\d+)/$',
        vv.CursoView.as_view(),
        name='course'),
    url(r'^teacher/descargar-course/(?P<course_id>\d+)/$',
        vv.descargar_course,
        name='descargar_course'),
    url(r'^teacher/descargar-groups-homework/(?P<homework_id>\d+)/$',
        vv.descargar_groups_homework,
        name='descargar_groups_homework'),
    url(r'^teacher/edit-student/(?P<course_id>\d+)/(?P<student_id>\d+)/$',
        vv.EditarAlumnoView.as_view(),
        name='editar_student'),
    url(r'^teacher/edit-course/(?P<course_id>\d+)/$',
        vv.EditarCursoView.as_view(),
        name='editar_course'),
    url(r'^teacher/edit-group-form/',
        vv.EditarGrupoFormView.as_view(),
        name='editar_group_form'),
    url(r'^teacher/edit-homework-form/(?P<homework_id>\d+)/$',
        vv.EditarTareaView.as_view(),
        name='editar_homework_form'),
    url(r'^teacher/subir-nota/',
        vv.SubirNotaFormView.as_view(),
        name='subir_nota'),
    url(r'^teacher/homework/(?P<homework_id>\d+)/$',
        vv.EditarTareaView.as_view(),
        name='homework'),
    url(r'^teacher/videoclases-homework/(?P<homework_id>\d+)/',
        vv.VideoclasesTareaView.as_view(),
        name='videoclases_homework'),
    url(r'^teacher/',
        vv.ProfesorView.as_view(),
        name='teacher'),
]

videoclases/models/boolean_parameters.py
# coding=utf-8
from django.db import models


class BooleanParameters(models.Model):
    description = models.CharField(max_length=256)
    value = models.BooleanField()

    def __str__(self):
        return self.description + ': ' + str(self.value)

    class Meta:
        verbose_name = 'Mis Parámetros'
        verbose_name_plural = 'Mis Parámetros'

videoclases/models/course.py
from django.db import models
import datetime

from videoclases.models.school import School


class Course(models.Model):
    school = models.ForeignKey(School)
    name = models.CharField(max_length=256)
    year = models.IntegerField(default=datetime.datetime.now().year)

    def __str__(self):
        return self.name + ' ' + str(self.year)

videoclases/models/final_scores.py
from django.db import models

from videoclases.models.student import Student
from videoclases.models.groupofstudents import GroupOfStudents


class FinalScores(models.Model):
    group = models.ForeignKey(GroupOfStudents)
    student = models.ForeignKey(Student)
    class_score = models.FloatField(default=0, blank=True, null=True)
    teacher_score = models.FloatField(default=0)

    def ponderar_notas(self):
        return self.teacher_score

    def __str__(self):
        return 'Curso: ' + self.group.homework.course.name + '. Tarea: ' + \
        self.group.homework.title + '. Grupo: ' + str(self.group.number) + \
        '. Nota: ' + str(self.ponderar_notas())

videoclases/models/groupofstudents.py
from django.db import models

from videoclases.models.student import Student
from videoclases.models.homework import Homework


class GroupOfStudents(models.Model):
    number         = models.IntegerField()
    homework          = models.ForeignKey(Homework, related_name='groups')
    students        = models.ManyToManyField(Student)

    class Meta:
        unique_together = (('number', 'homework'),)

    def __str__(self):
        return 'Course: ' + self.homework.course.name + '. Homework: ' + \
        self.homework.title + '. GroupOfStudents: ' + str(self.number)

videoclases/models/homework.py
# coding=utf-8
from urllib.parse import urlparse,parse_qs
from django.core.validators import MaxLengthValidator
from django.db import models
from django.utils import timezone

from videoclases.models.course import Course

from videoclases.models.evaluation.criterias_by_teacher import CriteriasByTeacher
from videoclases.models.evaluation.scala import Scala
from videoclases.models.teacher import Teacher


class Homework(models.Model):
    states = (
        (u'Pendiente', 1),
        (u'Evaluando', 2),
        (u'Terminada', 3),
    )

    teacher = models.ForeignKey(Teacher)
    course = models.ForeignKey(Course, related_name='course_homework')
    title = models.CharField(max_length=80)
    description = models.TextField(validators=[MaxLengthValidator(400)])
    video = models.CharField(max_length=100, blank=True, null=True)
    date_upload = models.DateField()
    date_evaluation = models.DateField()
    revision = models.IntegerField(default=3)
    homework_to_evaluate = models.ForeignKey('Homework', blank=True, null=True)
    criterias = models.ManyToManyField(CriteriasByTeacher, blank=True)
    scala = models.ForeignKey(Scala, null=True, blank=True)

    def __str__(self):
        return u"Curso: {0}, {1}".format(self.course.name,self.title)

    def full_name(self):
        return u"Curso: {0} {1}, {2}".format(
            self.course.name,
            self.course.year,
            self.title)

    def get_estado(self):
        today = timezone.datetime.date(timezone.datetime.today())
        dictionary = dict(self.states)
        if today <= self.date_upload:
            return dictionary.get('Pendiente')
        elif today <= self.date_evaluation:
            return dictionary.get('Evaluando')
        else:
            return dictionary.get('Terminada')

    def get_estado_nombre(self):
        today = timezone.datetime.date(timezone.datetime.today())
        dictionary = dict(self.states)
        if today <= self.date_upload:
            return 'Pendiente'
        elif today <= self.date_evaluation:
            return 'Evaluando'
        else:
            return 'Terminada'

    def get_uploaded_videoclases(self):
        count = 0
        for g in self.groups.all():
            if g.videoclase.video not in [None, '']:
                count += 1
        return count

    @staticmethod
    def process_youtube_default_link(link):
        if 'youtu.be/' in link:
            video_id = link.split('youtu.be/',1)[1]
            return 'https://www.youtube.com/embed/' + str(video_id), True
        url_data = urlparse(link)
        query = parse_qs(url_data.query)
        if 'youtube.com/embed/' in link:
            return link, True
        try:
            video_id = query['v'][0]
            return 'https://www.youtube.com/embed/' + str(video_id), True
        except:
            return None, False

    def save(self, *args, **kwargs):
        if self.video:
            link, success = self.process_youtube_default_link(self.video)
            if success:
                self.video = str(link)
        super(Homework, self).save(*args, **kwargs)

videoclases/models/school.py
from django.db import models


class School(models.Model):
    name = models.CharField(max_length=64)

    def __str__(self):
        return self.name

videoclases/models/student.py
from django.contrib.auth.models import User
from django.db import models
from django.utils import timezone

from videoclases.models.course import Course


class Student(models.Model):
    user = models.OneToOneField(User)
    courses = models.ManyToManyField(Course, related_name='students')
    changed_password = models.BooleanField(default=False)

    def course_actual(self):
        course_qs = self.courses.filter(year=timezone.now().year)
        return course_qs[0] if course_qs.exists() else False

    def __str__(self):
        if self.course_actual():
            return 'Course: ' + self.course_actual().name + ' ' + str(self.course_actual().year) + ' ' + \
                   self.user.get_full_name()
        return 'Sin courses actualmente'

videoclases/models/student_responses.py
from django.db import models

from videoclases.models.student import Student
from videoclases.models.video_clase import VideoClase


class StudentResponses(models.Model):
    videoclase = models.ForeignKey(VideoClase, related_name='answers')
    student = models.ForeignKey(Student)
    answer = models.CharField(max_length=100, blank=True, null=True)

    def is_correct(self):
        return self.answer == self.videoclase.correct_alternative

    def __str__(self):
        return 'Responde: ' + self.student.user.first_name + '. Respuesta: ' + str(self.answer) + \
        ' .Videoclase ' + str(self.videoclase.id) + ' ' + self.videoclase.homework.title

videoclases/models/teacher.py
from django.contrib.auth.models import User
from django.db import models

from videoclases.models.school import School
from videoclases.models.course import Course


class Teacher(models.Model):
    school = models.ForeignKey(School)
    user = models.OneToOneField(User)
    courses = models.ManyToManyField(Course, blank=True)
    changed_password = models.BooleanField(default=False)

    def __str__(self):
        return self.user.first_name + ' ' + self.user.last_name

videoclases/forms/authentication_form.py
from crispy_forms.helper import FormHelper
from crispy_forms.layout import HTML
from django.contrib.auth.forms import AuthenticationForm


class CustomAutheticationForm(AuthenticationForm):
    def __init__(self, *args, **kwargs):
        super(CustomAutheticationForm, self).__init__(*args, **kwargs)

        helper = FormHelper(self)
        helper.form_class = 'form-inline'
        helper.form_method = 'post'
        helper.form_action = '.'
        helper.field_class ='form-group'
        helper.form_show_labels = False
        helper.layout.insert(2, HTML(u'<button type="submit" class="btn btn-info btn-sm"><span class="glyphicon glyphicon-user"></span> Ingresar</button>'))

        self.helper = helper

videoclases/forms/evaluate_pegadogical_questions_form.py
# coding=utf-8
from crispy_forms.bootstrap import FormActions
from crispy_forms.helper import FormHelper
from crispy_forms.layout import Submit
from django.forms import ModelForm
from django import forms


class EvaluatePedagogicalQuestionsForm(forms.Form):

    def __init__(self, student, pegadogical_questions,*args, **kwargs):
        super(EvaluatePedagogicalQuestionsForm, self).__init__(*args, **kwargs)
        for question in pegadogical_questions.questions.all():
            self.fields[u"{0}".format(question.id)] = forms.ModelChoiceField(queryset=question.alternatives.all(),label= u"{0}".format(question))

        helper = FormHelper(self)

        helper.form_class = 'form-horizontal '
        helper.form_method = 'post'
        helper.form_action = '.'

        helper.layout.append(
            FormActions(
                Submit('submit', u'Enviar Test'),
            )
        )
        self.helper = helper

videoclases/forms/pedagogical_questions_form.py
from crispy_forms.helper import FormHelper
from crispy_forms.layout import Submit
from django.forms import ModelForm

from videoclases.models.pedagogical_questions.pedagogical_questions import PedagogicalQuestions


class PedagogicalQuestionsForm(ModelForm):

    class Meta:
         model = PedagogicalQuestions
         fields = '__all__'
         exclude= ['questions']

videoclases/forms/upload_pedagogical_questions_form.py
from crispy_forms.bootstrap import FormActions
from crispy_forms.helper import FormHelper
from crispy_forms.layout import Submit, HTML
from django import forms

from videoclases.models.course import Course
from videoclases.models.homework import Homework


class UploadPedagogicalQuestionsForm(forms.Form):
    course = forms.ModelChoiceField(
        queryset=Course.objects.all(), label="Curso"
    )
    homework = forms.ModelChoiceField(
        queryset=Homework.objects.all(), label="Tarea"
    )
    file = forms.FileField(label="Archivo Excel")

    def clean_file(self):
        data = self.cleaned_data['file']
        if data._size > 2*1024*1024:
            raise forms.ValidationError("Archivo demasiado pesado")
        if not data.name.endswith(".xls"):
            raise forms.ValidationError("Solo se admite formato xls")
        return data

    def __init__(self, *args, **kwargs):
        super(UploadPedagogicalQuestionsForm, self).__init__(*args, **kwargs)

        helper = FormHelper(self)

        course = self.fields['course']
        course.widget.attrs['data-bind'] = "options: select.courses, optionsText: 'name', optionsValue: 'id', optionsCaption: '-- escoja un curso --', value: courses, valueAllowUnset: false"
        homework = self.fields['homework']
        homework.widget.attrs['data-bind'] = "options: homeworks, optionsText: 'name', optionsValue: 'id', value: homework, optionsCaption: '-- escoja una tarea --', valueAllowUnset: false"

        file = self.fields['file']
        file.widget.attrs['class'] = 'form-control'

        helper.form_class = 'form-horizontal '
        helper.form_method = 'post'
        helper.form_action = '.'

        helper.layout.append(
            FormActions(
                Submit('submit', u'Subir Archivo'),
                HTML("""{% load staticfiles %}<a
                        href="{% static "templates/template_test.xls" %}"
                        class="btn btn-default">Descargar Plantilla</a>""")
            )
        )
        self.helper = helper

videoclases/templates/edit_test.html
{% extends 'base.html' %}
{% load staticfiles %}
{% block teacher-active %}class="menu-top-active"{% endblock %}

{% block extra-head %}
    {{ form.media }}
    <link href="{% static "css/src/my-style.css" %}" rel="stylesheet">
    <script type="text/javascript">
        function Select() {
            var self = this;
            self.courses = [
                {% for c in courses %}
                    {% if forloop.last %}
                        {name: '{{ c.name }}', id: {{ c.id }}}
                    {% else %}
                        {name: '{{ c.name }}', id: {{ c.id }}},
                    {% endif %}
                {% endfor %}
            ];
        }
        var original_homework = {{ pedagogicalquestions.homework.id }};
        var pq = "{{ pedagogicalquestions.id }}";
    </script>
    <script src="{% static "js/libs/jquery.validate.min.js" %}"></script>
    <script src="{% static "js/src/editConceptualTest.js" %}"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            ko.applyBindings(vm);
            $('#id_course').find('option[value={{ pedagogicalquestions.homework.course.id }}]').prop('selected', true);
            {% for homework in homeworks %}
                vm.homeworks.push({'name': "{{ homework.title }}", 'id': "{{ homework.id }}"});
            {% endfor %}
            vm.homework("{{ pedagogicalquestions.homework.id }}");
            $('#id_homework').find('option[value={{ pedagogicalquestions.homework.id }}]').prop('selected', true);
            vm.title("{{ pedagogicalquestions.title }}");
            vm.description("{{ pedagogicalquestions.description|default:''}}");
            vm.days({{ days }});
            vm.hours({{ hours }});
            vm.min({{ min }});
            {% for question in pedagogicalquestions.questions.all %}
                vm.questions.push(
                        new Question(
                                "{{ question }}",
                                [
                                    '{{ question.alternatives.all|join:"','" }}'
                                ]
                        )
                )
            {% endfor %}

        });
    </script>
{% endblock %}

{% block body %}
            <div class="row">
                <div class="col-xs-2"><h4>Colegio</h4></div>
                <div class="col-xs-2"><h5>{{ user.teacher.school.name }}</h5></div>
                <div class="col-xs-2 col-xs-offset-6">
                    <button onclick="location.href = '{% url 'teacher' %}';" class="btn btn-info">Volver</button>
                </div>
            </div>
            <div class="row" id="top-form-head-line">
                <div class="col-xs-12">
                    <h6 class="page-head-line"></h6>
                </div>
            </div>

            <div class="col-xs-12 text-center">
                <button onclick="location.href = '{% url 'download_pedagogical_questions' pedagogicalquestions.id %}';"
                        class="btn btn-info">Descargar Excel Original
                </button>
                {% if pedagogicalquestions.pedagogicalquestionsanswers_set.all %}
                <button onclick="location.href = '{% url 'download_pedagogical_questions_answers' pedagogicalquestions.id %}';"
                        class="btn btn-danger">Descargar Excel Respuestas
                </button>
                {% endif %}

                <br><br>
            </div>
            <div class="row" data-bind="visible: formErrorsVisible">
                <div class="col-xs-12">
                    <div class="alert alert-danger alert-dismissible" role="alert">
                        <button type="button" class="close"
                                data-bind="click: function() {changeFormErrorsVisible(false)}" aria-label="Close"><span
                                aria-hidden="true">&times;</span></button>
                        <div align="center">
                            <!-- ko foreach: formErrors -->
                            <span data-bind="text: $data"></span><br>
                            <!-- /ko -->
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <form id="crear-homework-form">
                    <div class="col-xs-12">
                        <div class="col-xs-2">Curso</div>
                        <div class="col-xs-5">
                            <select name="course" class="form-control" id="id_course"
                                    data-bind="options: select.courses,
                        optionsText: 'name',
                        optionsValue: 'id',
                        optionsCaption: '-- escoja un curso --',
                        value: courses,
                        valueAllowUnset: false"></select>
                        </div>
                    </div>
                    <div class="col-xs-12">
                        <br>
                        <div class="col-xs-2">Tarea</div>
                        <div class="col-xs-5">
                            <select name="homework" class="form-control" id="id_homework"
                                    data-bind="options: homeworks,
                        optionsText: 'name',
                        optionsValue: 'id',
                        value: homework,
                        optionsCaption: '-- escoja una tarea --',
                        valueAllowUnset: false"></select>
                        </div>
                    </div>
                    <div class="col-xs-12">
{#                                                <div data-bind="text: ko.toJSON($root)"></div>#}
                        <br>
                        <h2>Test Conceptual</h2>
                        <h4>Título</h4>
                        <input name="title" class="form-control" data-bind="value: title">
                        <h4>Descripción (opcional)</h4>
                        <textarea class="form-control" data-bind="value: description"></textarea>
                        <br>
                        <h4>Duración del Test</h4>
                        <strong>NOTA:</strong> El tiempo elegido se aplicará antes y después de la tarea
                        <div class="col-xs-12  form-inline">
                            <div class="col-xs-4">
                                <label>Dias:</label>
                                <input name="days" type="number" class="form-control" data-bind="numeric, value: days">
                            </div>
                            <div class="col-xs-4">
                                <label>horas:</label>
                                <input name="hours" type="number" class="form-control"
                                       data-bind="numeric, value: hours">
                            </div>
                            <div class="col-xs-4">
                                <label>minutos:</label>
                                <input name="min" type="number" class="form-control" data-bind="numeric, value: min">
                            </div>
                        </div>
                        <div data-bind="foreach: questions">
                            <div class="col-xs-12">
                                Pregunta <span data-bind="text: ($index() + 1)"></span>:
                                <input name="question" class="form-control question required" data-bind="value: title"/>
                                Alternativas:
                                <div data-bind="foreach: { data: choices, as: 'c' }" class="form-group col-xs-12 ">
                                    <div class="row">
                                        <div class="col-xs-1">
                                            <span data-bind="text: $root.indexLetter($index())"></span>
                                        </div>
                                        <div class="col-xs-9 margin-bottom">
                                            <input name="alternative" class="form-control alternative required "
                                                   data-bind="value: c.value"/>
                                        </div>
                                        <div class="col-xs-2 ">
                                            <button data-bind="click: $parent.removeChoice" class="btn btn-danger">
                                                Borrar
                                                alternativa
                                            </button>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-12">
                                    <button data-bind="click: addChoice" class="btn btn-default">Agregar alternativa
                                    </button>
                                    <br>
                                </div>
                            </div>
                        </div>
                        <div class="col-xs-12">
                            <br>
                            <button data-bind="click: addQuestion" class="btn btn-default">Agregar otra pregunta
                            </button>
                            <button id="crear-homework-form-submit" type="submit" class="btn btn-info"
                                    data-bind="click: submitForms">Guardar Cambios
                            </button>
                        </div>
                    </div>
                </form>
            </div>
{% endblock %}

videoclases/templates/response_conceptual_test.html
{% extends 'base.html' %}
{% load staticfiles %}
{% load crispy_forms_tags %}

{% block videoclases-active %}class="menu-top-active"{% endblock %}

{% block extra-head %}
    {{ form.media }}
    <link href="{% static "css/src/my-style.css" %}" rel="stylesheet">
    <script src="{% static "js/libs/jquery.validate.min.js" %}"></script>
    <script src="{% static "js/src/enviarVideoclase.js" %}"></script>
    <script src="{% static "js/src/enviarVideoclaseDocumentReady.js" %}"></script>
{% endblock %}

{% block body %}
    <div class="row">
        <div id="top-form-head-line" class="col-xs-10">
            <h6 class="page-head-line">{{ user.student.course_actual.school.name }}
                - {{ user.student.course_actual.name }} - {{ user.get_full_name }}</h6>
        </div>
        <div class="col-xs-2 ">
            <button onclick="location.href = '{% url 'student' %}';" class="btn btn-info">Volver</button>
        </div>
    </div>
    <div class="row">
        <h1>{{ pq.title }}</h1>
        {% if pq.description %}
            <h3>{{ pq.description }}</h3>
        {% endif %}
        <div class="col-xs-12">
            {% crispy form %}
        </div>
    </div>

{% endblock %}

videoclases/templates/upload_or_create_new_conceptual_test.html
{% extends 'base.html' %}
{% load staticfiles %}
{% load crispy_forms_tags %}

{% block teacher-active %}class="menu-top-active"{% endblock %}

{% block extra-head %}
    {{ form.media }}
    <link href="{% static "css/src/my-style.css" %}" rel="stylesheet">
    <script type="text/javascript">
        function Select() {
            var self = this;
            self.courses = [
                {% for c in courses %}
                    {% if forloop.last %}
                        {name: '{{ c.name }}', id: {{ c.id }}}
                    {% else %}
                        {name: '{{ c.name }}', id: {{ c.id }}},
                    {% endif %}
                {% endfor %}
            ];
        }
    </script>
    <script src="{% static "js/libs/jquery.validate.min.js" %}"></script>
    <script src="{% static "js/src/uploadConceptualTest.js" %}"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            {% if kwargs.data.course.0 %}
            $('#id_course').find('option[value={{ kwargs.data.course.0 }}]').prop('selected', true);
                vm.onSelectChangeValue("{{ kwargs.data.course.0 }}");
                {% if kwargs.data.homework.0 %}
                    $('#id_homework').find('option[value={{ kwargs.data.homework.0 }}]').prop('selected', true);
                    vm.homework("{{ kwargs.data.homework.0 }}");
                {% endif %}
            {% endif %}


        });
    </script>
{% endblock %}

{% block body %}
            <div class="row">
                <div class="col-xs-2"><h4>Profesor</h4></div>
                <div class="col-xs-2"><h5>{{ user.get_full_name }}</h5></div>
                <div class="col-xs-2 col-xs-offset-6">
                    <button onclick="location.href = '{% url 'teacher' %}';" class="btn btn-info">Volver</button>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-2"><h4>Colegio</h4></div>
                <div class="col-xs-2"><h5>{{ user.teacher.school.name }}</h5></div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <h6 class="page-head-line"></h6>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <h6 class="page-head-line">1.- Crear Test usando el sitio web</h6>
                </div>
                <div class="col-xs-12">
                    <p>Puedes usar el sitio para llenar un formulario con las preguntas que quieras poner en el test.</p>
                    <a href="{% url 'new_conceptual_test_create' %}"><button class="btn btn-primary center-block">Ir al Formulario</button></a>
                </div>
                <div class="col-xs-12 margin-top">
                        <h6 class="page-head-line ">2.- Subir Test desde Archivo Excel</h6>
                    <p>Puedes crear un archivo xls o llenar el template disponible para crear tu test y subirlo a todos tus cursos</p>
                    </div>
                <div class="col-xs-12">
                    <div class="col-xs-12">
                        <img src="{% static "img/example_test.png" %}" class="center-block spaced" />

                    </div>
                    {% crispy form %}

                    </div>
            </div>
{% endblock %}